Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.schema
Class MappedFeaturePropertyType

    java.lang.Object
      org.deegree.model.feature.schema.AbstractPropertyType
          org.deegree.model.feature.schema.ComplexPropertyType
              org.deegree.model.feature.schema.FeaturePropertyType
                  org.deegree.io.datastore.schema.MappedFeaturePropertyType

All Implemented Interfaces:
  MappedPropertyType, PropertyType

    public class MappedFeaturePropertyType

extends FeaturePropertyType
implements MappedPropertyType

Representation of property types that contain features with mapping (persistence) information.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.model.feature.schema.ComplexPropertyType
`typeName`

Constructor Summary
`MappedFeaturePropertyType(QualifiedName name, QualifiedName typeName, int type, int minOccurs, int maxOccurs, boolean isIdentityPart, TableRelation[] tableRelations, MappedFeatureTypeReference containedFT, boolean isReferenceType)` Constructs a new instance of `MappedFeaturePropertyType` from the given parameters.
`MappedFeaturePropertyType(QualifiedName name, QualifiedName typeName, int type, int minOccurs, int maxOccurs, boolean isIdentityPart, TableRelation[] tableRelations, MappedFeatureTypeReference containedFT, boolean isReferenceType, boolean allowExternalLinks)`

Method Summary
`boolean` | `externalLinksAllowed()`
`MappedFeatureTypeReference` | `getFeatureTypeReference()` Returns the `MappedFeatureTypeReference` to the feature type that is stored in this property.
`TableRelation[]` | `getTableRelations()` Returns the path of `TableRelation`s that describe how to get to the table where the content is stored.
`boolean` | `isIdentityPart()` Returns whether this property has to be considered when two instances of the parent feature are checked for equality.
`boolean` | `isReferenceType()` Returns whether this property is of type "gml:ReferenceType" (in which case it's content must be specified by an xlink:href attribute).

Methods inherited from class org.deegree.model.feature.schema.ComplexPropertyType
`getTypeName`

Methods inherited from class org.deegree.model.feature.schema.AbstractPropertyType
`equals, getMaxOccurs, getMinOccurs, getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.model.feature.schema.PropertyType
`getMaxOccurs, getMinOccurs, getName, getType`

Constructor Detail

### MappedFeaturePropertyType

    public MappedFeaturePropertyType(QualifiedName name,
                                     QualifiedName typeName,
                                     int type,
                                     int minOccurs,
                                     int maxOccurs,
                                     boolean isIdentityPart,
                                     TableRelation[] tableRelations,
                                     MappedFeatureTypeReference containedFT,
                                     boolean isReferenceType)

  Constructs a new instance of `MappedFeaturePropertyType` from the given parameters.

  Parameters:
    `name` -
    `typeName` -
    `type` -
    `minOccurs` -
    `maxOccurs` -
    `isIdentityPart` -
    `tableRelations` -
    `containedFT` -
    `isReferenceType` -

### MappedFeaturePropertyType

    public MappedFeaturePropertyType(QualifiedName name,
                                     QualifiedName typeName,
                                     int type,
                                     int minOccurs,
                                     int maxOccurs,
                                     boolean isIdentityPart,
                                     TableRelation[] tableRelations,
                                     MappedFeatureTypeReference containedFT,
                                     boolean isReferenceType,
                                     boolean allowExternalLinks)

Parameters:
  `name` -
  `typeName` -
  `type` -
  `minOccurs` -
  `maxOccurs` -
  `isIdentityPart` -
  `tableRelations` -
  `containedFT` -
  `isReferenceType` -
  `allowExternalLinks` -

Method Detail

### getFeatureTypeReference

    public MappedFeatureTypeReference getFeatureTypeReference()

  Returns the `MappedFeatureTypeReference` to the feature type that is stored in this property.

  Returns:
    reference to the contained feature type

### getTableRelations

    public TableRelation[] getTableRelations()

  Returns the path of `TableRelation`s that describe how to get to the table where the content is stored.

  Specified by:
    `getTableRelations` in interface `MappedPropertyType`
  Returns:
    path of TableRelations, may be null

### isIdentityPart

    public boolean isIdentityPart()

  Returns whether this property has to be considered when two instances of the parent feature are checked for equality.

  Specified by:
    `isIdentityPart` in interface `MappedPropertyType`
  Returns:
    true, if this property is part of the feature's identity

### isReferenceType

    public boolean isReferenceType()

  Returns whether this property is of type "gml:ReferenceType" (in which case it's content must be specified by an xlink:href attribute).

  Returns:
    true, if this property is of type "gml:ReferenceType", false otherwise

### externalLinksAllowed

    public boolean externalLinksAllowed()

  Returns:
    whether external links are allowed/stored

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org